Show more

A gem goes unmaintained, each group using it starts making their own patched version to fix one or another issue, you included. Now you want to update to a more recent version that the original dev released.

In an ideal world you would have tests for all the small things changes, to make sure stuff still works. Not my case.

Ouf, this is going to take a while.

Ruby 2.6 was released yesterday and all the native implementations to Fiber were merged. ruby-lang.org/en/news/2018/12/

RubyGems 3 released! blog.rubygems.org/2018/12/19/3

looks like Ruby 2.6 on Christmas is landing with RubyGems 3 and Bundler 2

Exciting!

Hey Ruby.social! I'm looking for Ruby-related blogs to follow. The ones I found on github.com/planetruby/awesome- are pretty outdated or even not existing anymore. Thanks

Ruby on Rails question 

#Rails 5.2 introduced support for Content-Security-Policy, which is very nice for application-wide policies and controller-specific exceptions.

How do I use a different policy for other rails “engines”, however? (e.g., pghero and sidekiq monitor)

This is tonight, come watch me stumble over my words if you're about in London and interested in ruby code stuffs

lrug.org/meetings/2018/novembe

Show more
Ruby.social

A Mastodon instance for Rubyists & friends